## ros-humble-ros2caret 0.5.0

=== debian/changelog ===
ros-humble-ros2caret (0.5.0-6bookworm) bookworm; urgency=high

  * refactor: change the version management method (#169 <https://github.com/tier4/ros2caret/issues/169>)
    * Update: method of get version
    * Update: Change in version control method
    * Fix: not use codecs
    * Fix: change how to specify path
    * Fix: path name
    ---------
  * fix: ignore caret package on workflow pytest (#170 <https://github.com/tier4/ros2caret/issues/170>)
    * Fix: repository name
    * Not install caret packages registered in buildfarm
    * Fix: unknown word
    * Fix: change ignore method
    * Revert "Revert: repository name"
    This reverts commit 3735506cf074970a047686e00bdeb91f049e30c0.
    * Update .github/workflows/pytest.yaml
    Co-authored-by: ymski <mailto:yamasaki@isp.co.jp>
    ---------
    Co-authored-by: ymski <mailto:yamasaki@isp.co.jp>
  * Update: package.xml version to 0.4.24 (#167 <https://github.com/tier4/ros2caret/issues/167>)
  * ci(pre-commit): autoupdate (#166 <https://github.com/tier4/ros2caret/issues/166>)
    updates:
    - [github.com/igorshubovych/markdownlint-cli: v0.38.0 → v0.39.0](https://github.com/igorshubovych/markdownlint-cli/compare/v0.38.0...v0.39.0)
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
  * chore: update version to v0.4.24 (#165 <https://github.com/tier4/ros2caret/issues/165>)
    Co-authored-by: github-actions <mailto:github-actions@github.com>
  * fix: support environment without std::input to stop recording (#164 <https://github.com/tier4/ros2caret/issues/164>)
    * fix: support environment without std::input to stop recording
    * fix flake8
    ---------
  * chore: update version to v0.4.23 (#162 <https://github.com/tier4/ros2caret/issues/162>)
    Co-authored-by: github-actions <mailto:github-actions@github.com>
  * refactor: improvement of ros distribution determination method (#161 <https://github.com/tier4/ros2caret/issues/161>)
    * refactor: improvement of judgement ros distribution
    * chore: fix log message
    * chore: fix comment message
    * fix: modify comment
    ---------
  * fix(check_caret_rclcpp): skip check_caret_rclcpp for ROS Distributions after iron (#135 <https://github.com/tier4/ros2caret/issues/135>)
    * fix(check_caret_rclcpp): skip check_caret_rclcpp for ROS Distributions after iron
    * refactor: fix log message
    * fix typo
    * fix style
    * add test
    * modify message
    * style
    ---------
  * ci(pre-commit): autoupdate (#160 <https://github.com/tier4/ros2caret/issues/160>)
    updates:
    - [github.com/pre-commit/mirrors-prettier: v4.0.0-alpha.4 → v4.0.0-alpha.8](https://github.com/pre-commit/mirrors-prettier/compare/v4.0.0-alpha.4...v4.0.0-alpha.8)
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
  * refactor: upgrade xml version (#159 <https://github.com/tier4/ros2caret/issues/159>)
  * chore: update version to v0.4.22 (#158 <https://github.com/tier4/ros2caret/issues/158>)
    Co-authored-by: github-actions <mailto:github-actions@github.com>
  * ci(pre-commit): autoupdate (#157 <https://github.com/tier4/ros2caret/issues/157>)
    updates:
    - [github.com/igorshubovych/markdownlint-cli: v0.37.0 → v0.38.0](https://github.com/igorshubovych/markdownlint-cli/compare/v0.37.0...v0.38.0)
    - [github.com/pre-commit/mirrors-prettier: v3.1.0 → v4.0.0-alpha.4](https://github.com/pre-commit/mirrors-prettier/compare/v3.1.0...v4.0.0-alpha.4)
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
  * Enable sim_time trace point in light mode. (#152 <https://github.com/tier4/ros2caret/issues/152>)
  * ci(pre-commit): autoupdate (#156 <https://github.com/tier4/ros2caret/issues/156>)
    updates:
    - [github.com/scop/pre-commit-shfmt: v3.7.0-3 → v3.7.0-4](https://github.com/scop/pre-commit-shfmt/compare/v3.7.0-3...v3.7.0-4)
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
  * chore: update version to v0.4.21 (#155 <https://github.com/tier4/ros2caret/issues/155>)
    Co-authored-by: github-actions <mailto:github-actions@github.com>
  * ci(pre-commit): autoupdate (#153 <https://github.com/tier4/ros2caret/issues/153>)
    updates:
    - [github.com/scop/pre-commit-shfmt: v3.7.0-2 → v3.7.0-3](https://github.com/scop/pre-commit-shfmt/compare/v3.7.0-2...v3.7.0-3)
    Co-authored-by: pre-commit-ci[bot] <66853113+pre-commit-ci[bot]@users.noreply.github.com>
  * chore(deps): bump tibdex/github-app-token from 1 to 2 (#148 <https://github.com/tier4/ros2caret/issues/148>)
    Bumps [tibdex/github-app-token](https://github.com/tibdex/github-app-token) from 1 to 2.
    - [Release notes](https://github.com/tibdex/github-app-token/releases)
    - [Commits](https://github.com/tibdex/github-app-token/compare/v1...v2)
    ---
    updated-dependencies:
    - dependency-name: tibdex/github-app-token
    dependency-type: direct:production
    update-type: version-update:semver-major
    ...
    Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
  * chore: update version to v0.4.20 (#149 <https://github.com/tier4/ros2caret/issues/149>)
    Co-authored-by: github-actions <mailto:github-actions@github.com>
  * chore: sync files (#151 <https://github.com/tier4/ros2caret/issues/151>)
    Co-authored-by: github-actions <mailto:github-actions@github.com>
  * ci(pre-commit): autoupdate (#150 <https://github.com/tier4/ros2caret/issues/150>)
    updates:
    - [github.com/pre-commit/mirrors-prettier: v3.0.3 → v3.1.0](https://github.com/pre-commit/mirrors-prettier/compare/v3.0.3...v3.1.0)
    - [github.com/adrienverge/yamllint: v1.32.0 → v1.33.0](https://github.com/adrienverge/yamllint/compare/v1.32.0...v1.33.0)
    - [github.com/scop/pre-commit-shfmt: v3.7.0-1 → v3.7.0-2](https://github.com/scop/pre-commit-shfmt/compare/v3.7.0-1...v3.7.0-2)

