=== debian/control ===
Source: ros-humble-ros2caret
Section: misc
Priority: optional
Maintainer: ymski <yamasaki@isp.co.jp>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, python3-pytest-mock <!nocheck>, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-mypy <!nocheck>, ros-humble-ament-pep257 <!nocheck>, ros-humble-caret-analyze, ros-humble-caret-msgs, ros-humble-ros2cli, ros-humble-tracetools-trace, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros2caret
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-tabulate, ros-humble-ament-index-python, ros-humble-caret-analyze, ros-humble-caret-msgs, ros-humble-ros2cli, ros-humble-tracetools-trace, ros-humble-ros-workspace
Description: ROS 2 CLI package for caret
